local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
    vim.fn.system({
        "git",
        "clone",
        "--filter=blob:none",
        "https://github.com/folke/lazy.nvim.git",
        "--branch=stable", -- latest stable release
        lazypath,
    })
end
vim.opt.rtp:prepend(lazypath)

require("lazy").setup({
    spec = {
        { import = "plugins.nav" },
        { import = "plugins.lsp" },
        { import = "plugins.style" },
        { import = "plugins.util" },
        { import = "plugins.util.diff" },
        { import = "plugins.testing" },
    },
    change_detection = {
        notify = false, -- dont notify when plugins are changed
    },
})
